package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssuiciderisk.ElderlyAssessSuicideRiskPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssuiciderisk.ElderlyAssessSuicideRiskRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssuiciderisk.ElderlyAssessSuicideRiskSaveReqVO;

public interface ElderlyAssessSuicideRiskService {

    Long create(ElderlyAssessSuicideRiskSaveReqVO createReqVO);

    void update(ElderlyAssessSuicideRiskSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessSuicideRiskRespVO get(Long id);

    PageResult<ElderlyAssessSuicideRiskRespVO> getPage(ElderlyAssessSuicideRiskPageReqVO pageReqVO);
}
